Bug 494344 - grub-install incorrectly identifies root device
grub-install incorrectly identifies root device
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 09:58 EDT by Kyle Galloway
Modified: 2009-12-18 04:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:12:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Galloway 2009-04-06 09:58:55 EDT
Description of problem:


Version-Release number of selected component (if applicable):

grub (GNU GRUB 0.97)

How reproducible:

Always

Steps to Reproduce:
1.  Run grub-install, it will indicate that /dev/sdd id (hd3)
2.  Attempt to run root (hd3,0) as part of the bash config, it will correspond to the wrong drive.

This also happens any time I upgrade the kernel and grub.conf gets automatically rewritten.
  
Actual results:

(hd3) is not the drive grub thinks it is, so boot will fail.


Expected results:

Boot successful.

Additional info:

This can be worked around by changing (hd3,0) to (hd0,0) in the boot line.  All of this was observed with the default partition setup of Fedora 10, no changes were made to the boot parameters exscept after the problem was found.

I have an Asus MB with a new Nvidia chipset with onboard video, M38N78-VM.

I have 3 sata drives (sda, sdb, sdc) and I boot from an IDE drive (sdd (why is this not hd*?))

Here is my lspci output:

00:00.0 RAM memory: nVidia Corporation MCP78S [GeForce 8200] Memory Controller (rev a2)
00:01.0 ISA bridge: nVidia Corporation MCP78S [GeForce 8200] LPC Bridge (rev a2)
00:01.1 SMBus: nVidia Corporation MCP78S [GeForce 8200] SMBus (rev a1)
00:01.2 RAM memory: nVidia Corporation MCP78S [GeForce 8200] Memory Controller (rev a1)
00:01.3 Co-processor: nVidia Corporation MCP78S [GeForce 8200] Co-Processor (rev a2)
00:01.4 RAM memory: nVidia Corporation MCP78S [GeForce 8200] Memory Controller (rev a1)
00:02.0 USB Controller: nVidia Corporation MCP78S [GeForce 8200] OHCI USB 1.1 Controller (rev a1)
00:02.1 USB Controller: nVidia Corporation MCP78S [GeForce 8200] EHCI USB 2.0 Controller (rev a1)
00:04.0 USB Controller: nVidia Corporation MCP78S [GeForce 8200] OHCI USB 1.1 Controller (rev a1)
00:04.1 USB Controller: nVidia Corporation MCP78S [GeForce 8200] EHCI USB 2.0 Controller (rev a1)
00:06.0 IDE interface: nVidia Corporation MCP78S [GeForce 8200] IDE (rev a1)
00:07.0 Audio device: nVidia Corporation MCP78S [GeForce 8200] High Definition Audio (rev a1)
00:08.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1)
00:09.0 IDE interface: nVidia Corporation MCP78S [GeForce 8200] SATA Controller (non-AHCI mode) (rev a2)
00:0a.0 Ethernet controller: nVidia Corporation MCP78S [GeForce 8200] Ethernet (rev a2)
00:0b.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1)
00:10.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1)
00:12.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1)
00:18.0 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] HyperTransport Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Miscellaneous Control
00:18.4 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Link Control
02:00.0 VGA compatible controller: nVidia Corporation GeForce 8200 (rev a2)
Comment 1 Jeremy Katz 2009-05-04 15:13:21 EDT
What are the contents of /boot/grub/device.map?
Comment 2 Kyle Galloway 2009-05-04 15:21:44 EDT
This was actually so annoying that I switched to Ubuntu, so I don't have the original device.map around.  What I can tell you is that (hd3) was /dev/sdd (as I mentioned from the grub-install output.

Also, where I said bash config, I meant grub config.  So, the device map thinks /dev/sdd is (hd3) whereas when you're actually in the bootloader it believes it to be (hd0).
Comment 3 Landon Kelsey 2009-08-20 16:37:48 EDT
I've been working on this for days!

Grub went well for F10 but F11 not.

I did:
rescue->chroot /mnt/sysimage

grub-install --recheck /dev/sda ;;I tried also hd0

grub

grub>find /grub/stage1

hd3,0

my device table is :

hd0 /dev/sda
hd1 /dev/sdb
hd2 /dev/sdc
hd3 /dev/sdd

fdisk -l yields:

/dev/sdc1 boot=* ID=7 system = hpfs/ntfs (XP Pro)

/dev/sdd1 boot=* ID=83 system = Linux
/dev/sdd2 boot=* ID=8e system = Linux/LVM

so:
grub>root (hd3,0)
grub>setup (hd3) answers looked OK

Make no sense so I tried
grub>root (hd0,0)
grub setup (hd0) all answers were no

forever it has been

hd0 has contained XP Pro
hd1 has contained Fedora

what am I doing wrong???

Somebody suggested:
grub >root (hd3,0) #(partiton that /boot/grub is located on)
grub >setup (hd0) #(mbr of drive that bios boots first)

got the usual OK message but upon reboot, it was back to XP Prof (I recently reloaded from scratch)

Just tried to install on /dev/sdc (where windows is) and I wiped out the MBR...fixed it however with XP Prof repair

I've tried nearly everything.

Nothing in my Dell W/S bios shows where the boot goes to.  It obviously goes to dev/sdc1 in one sense.

XP prof has forever existed in SCSI 0 or /dev/sda.

The original bug post says eomthing about modifying the boot file.

Only one thing I can modify and that is /boot/grub/grub.conf

My Dell W/S only boots to sda even though fdisk -l says it is sdc.
Comment 4 Landon Kelsey 2009-08-21 14:59:03 EDT
This can be worked around by changing (hd3,0) to (hd0,0) in the boot line.  All
of this was observed with the default partition setup of Fedora 10, no changes
were made to the boot parameters exscept after the problem was found.


what is the "boot line"
Comment 5 Landon Kelsey 2009-09-11 12:06:48 EDT
I have restored XP Prof and Fedora 10 (working great)!

Has something been done to prevent a recurrence of this problem?

Under F10 I see the same "offer" pop up to upgrade to F11 that ruined me in the first place.

Don't tell me I did anything wrong because all I did was respond in the affirmative to this offer of upgrading to F11. The popup came from packagekit at the lower right!

As previously stated the dvd is worthless!
Comment 6 Bug Zapper 2009-11-18 06:41:55 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 04:12:31 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.